/* Override browser defaults */
* {
      padding: 0px;
      border: 0px;
      margin: 0px;
      box-sizing: border-box;
  }

/*To remove the horrid black border in Chrome when an input acquires focus*/
*,*:focus,*:hover{
    outline:none;
}

/*Having removed the outline from focus and hover above I need to use something to highlight when an inpput is in focus or hovered over. The :not([type="submit"]) stops the grey background from occuring on submit buttons. */
input:not([type="submit"]):focus, input:not([type="submit"]):hover, textarea:focus, textarea:hover{
  background-color: #eee;
}

article h1{
  font-size: 2rem;
}

img,source{
  display:block;
}

 /* Add a black background color to the top navigation */
.topnav {
  background-color: var(--backgroundColor);
  overflow: hidden;
}

/* Style the links inside the navigation bar */
.topnav a {
  float: left;
  display: block;
  color: var(--headlineColor);
  font-family: 'Chelsea Market', cursive;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  transition: .3s ease-in-out;
}

/* Add an active class to highlight the current page */
.active {
  background-color: var(--textColor);
  color: white !important;
}

/* Hide the link that should open and close the topnav on small screens */
.topnav .icon {
  display: none;
}

/* Dropdown container - needed to position the dropdown content */
.dropdown {
  float: left;
  overflow: hidden;
}

/* Style the dropdown button to fit inside the topnav */
.dropdown .dropbtn {
  font-size: 17px;
  border: none;
  outline: none;
  color: var(--headlineColor);
  padding: 14px 16px;
  background-color: inherit;
  font-family: 'Chelsea Market', cursive;;
  margin: 0;
}

/* Style the dropdown content (hidden by default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #333;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Style the links inside the dropdown */
.dropdown-content a {
  float: none;
  color: re;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

/* Add a dark background on topnav links and the dropdown button on hover */
.topnav a:hover, .dropdown:hover .dropbtn {
  background-color: var(--otherColor2);
  color: var(--backgroundColor);
}

/* Add a grey background to dropdown links on hover */
.dropdown-content a:hover {
  background-color: var(--otherColor2);
  color: var(--backgroundColor);
}

/* Show the dropdown menu when the user moves the mouse over the dropdown button */
.dropdown:hover .dropdown-content {
  display: block;
}

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 600px) {
  .topnav a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
  }
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .topnav.responsive .dropdown {float: none;}
  .topnav.responsive .dropdown-content {position: relative;}
  .topnav.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
} 

/* Define variables to be used for colours. But now moved to a separate stylesheet. */
/*
:root{
  --headlineColor: #ca6;
  --textColor: #094;
  --backgroundColor: #ffe;
  --otherColor: #ce6;
  --otherColor2: #fa5;
}
*/

html {
  height: 100%;
}

body {
  background-image: url("../images/background3.jpg");
  background-repeat: no-repeat;
  background-attachment: fixed;
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: auto auto 1fr auto;
  justify-items: center;
  align-items: center;
  gap: 20px;
  min-height: 100%;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Chelsea Market', cursive;
  color: var(--headlineColor);
  padding: 5px;
  Margin: 5px;
}

p,address, span, ul, li, dl, dt, dd{
  font-family: 'Chelsea Market', cursive;
  color: var(--textColor);
  font-size: 1.2rem;
  padding: 5px;
  Margin: 5px;
}

dt {
  color: var(--headlineColor);
  margin: 0 0 0 30px;
}

li{
  padding: 0;
  margin: 0 0 0 60px;
}

header {
  margin: 3px;
  display: flex;
  flex-direction: row;
  width: 90%;  
  align-items: flex-start;
  gap: 5px;
  }

.footer {
  font-size: small; 
}      

footer.container {
  display: flex;
  flex-direction: column;
  border-radius: 4px 4px 0px 0px;
}

.fa-facebook-official{
  color: #4267B2;
}

.fa-twitter {
  color: #1da1f2;
}

.fa-facebook-official:hover, .fa-facebook-official:focus {
  color: #aab8c2; 
}

.fa-twitter:hover, .fa-twitter:focus {
  color: #898f9c; 
}

a:link, a:visited {
  color: var(--headlineColor);
  text-decoration: none;
}

a:hover {
  color: var(--textColor); 
}

nav {
  width: 100%;
  border-radius: 4px;
  overflow: hidden;   /* Needed to get the border-radius on NAV to work*/ 
}

hr {
  border: solid 1px var(--headlineColor);
  width: 90%;
  margin: auto;
}

section.gallery{
  display:grid;
  grid-template-columns: 60vw; 
  gap: 20px;
  justify-content: center;
  margin: 20px 0;
}

.logo{
border: solid 1px var(--headlineColor);
}

.container {
  min-height: 100%;
  width: 90%;
  background-color: var(--backgroundColor);
  border-radius: 4px;
}

.galleryImage{
  width: 100%;
  height: 100%;
  object-fit: cover;
 
}

.sheenaPhoto {
  margin: 20px;
  border: thick solid var(--headlineColor);
}

/*Some styling for the 'About' page*/
.aboutIntro {
  display: flex;
  flex-direction: column;
  margin: 0 0 30px 0;
}

.contact {
  display: grid;
  grid-template-rows: auto auto;
  gap: 30px;
}

.testimonialContainer {
  display: grid;
  grid-template-columns: 1fr;
  gap: 40px;
  padding: 35px;
}

[class^="testimonial"] {
  color: #fff;
  border-radius: 4px; 
}

.testimonial1 {
	/* layout*/
	position: relative;
	max-width: 30em;
	
	/* looks */
	padding: .75em 1em;
  margin-bottom: .75em;
  box-shadow:	0 0.125rem 0.5rem rgba(0, 0, 0, .3), 0 0.0625rem 0.125rem rgba(0, 0, 0, .2);
  background-color: var(--otherColor);
}

.testimonial1::after {  /*the chevron  */
	/*  layout */
	content: '';
	position: absolute;
	bottom: -.75rem;
	left: 1.5em; /* offset should move with padding of parent */
  border-top: .75rem solid var(--otherColor);
	border-right: .75rem solid transparent;
  border-left: .75rem solid transparent;
	border-bottom: none;

	/* looks  */
	border-bottom-color: var(--otherColor);
	filter: drop-shadow(0 0.25rem 0.125rem rgba(0, 0, 0, .2));
}


.testimonial2 {
	/* layout*/
	position: relative;
	max-width: 30em;
	
	/* looks */
	padding: .75em 1em;
  margin-bottom: .75em;
  box-shadow:	0 0.125rem 0.5rem rgba(0, 0, 0, .3), 0 0.0625rem 0.125rem rgba(0, 0, 0, .2);
  background-color: var(--textColor);
}

.testimonial2::after {  /*the chevron  */
	/*  layout */
	content: '';
	position: absolute;
	bottom: -.75rem;
	left: 3em; /* offset should move with padding of parent */
  border-top: .75rem solid var(--textColor);
	border-right: .75rem solid transparent;
  border-left: .75rem solid transparent;
	border-bottom: none;

	/* looks  */
	border-bottom-color: var(--textColor);
	filter: drop-shadow(0 0.25rem 0.125rem rgba(0, 0, 0, .2));
}

.testimonial3 {
	/* layout*/
	position: relative;
	max-width: 30em;
	
	/* looks */
	padding: .75em 1em;
  margin-bottom: .75em;
  box-shadow:	0 0.125rem 0.5rem rgba(0, 0, 0, .3), 0 0.0625rem 0.125rem rgba(0, 0, 0, .2);
  background-color: var(--otherColor2);
}

.testimonial3::after {  /*the chevron  */
	/*  layout */
	content: '';
	position: absolute;
	bottom: -.75rem;
	left: 7em; /* offset should move with padding of parent */
  border-top: .75rem solid var(--otherColor2);
	border-right: .75rem solid transparent;
  border-left: .75rem solid transparent;
	border-bottom: none;

	/* looks  */
	border-bottom-color: var(--otherColor2);
	filter: drop-shadow(0 0.25rem 0.125rem rgba(0, 0, 0, .2));
}

/* Styling the contact us form */
fieldset {
  background-color: white;
}

legend { 
  /*color: #333;*/
  padding: 2px 5px 2px 2px;
  font-family: 'Chelsea Market', cursive;
  color: var(--headlineColor);
  font-size: smaller;
}

fieldset {
  padding: 0 0 0 5px;
  margin: 10px;
  border: solid 1px var(--headlineColor);
  border-radius: 4px;
  width: auto;
  box-shadow: 3px 3px 5px #ccc;
}

input,textarea {
  color: var(--textColor);
  margin: 0 0 .4rem 0;
  width: 99%;
  border: none;
  font-family: sans-serif;
}

.required{
  color: var(--headlineColor);
  font-size: smaller; 
}

.send{
  font-family: 'Chelsea Market', cursive;
  color: var(--backgroundColor); 
  border: 3px outset var(--backgroundColor);
  border-radius: 7px;
  background-color: var(--otherColor2);
  width: 5rem;
  padding: 1rem;
  margin: 10px;
  display: block;
  box-shadow: 4px 4px 5px #ccc;
}

.contactSubject {
  color: var(--headlineColor);
  padding: 0;
  margin: 0;
}

.contactText {
  color: var(--textColor);
}

.servicesSection{
  display:flex;
  flex-direction: column;
  padding: 0 20px 20px 20px;
}

  .teachersSection{
  display:grid;
  grid-template-rows: auto auto auto;
  grid-template-columns: auto;
  padding: 0 20px 20px 20px;
  gap: 20px;
}
 
.teacherSubTitle{
  color: var(--headlineColor);
  padding: 0px;
  margin: 0 20px 0 20px;
}

.teachersText{
  padding: 0 20px 10px 20px;
  margin: 0px;
}

.teachersImage{
  height: 50%;
  width: 100%;
  object-fit: cover;
  margin: 20px 0;
}

.teachersArticle{
  overflow: hidden;
}

#forestBold{
  font-weight: bold;
  color: var(--textColor);
}

.forestList{
  color: var(--otherColor);
}

  div.forestPicsDesktop  {
    display: none;
  }

div.everyoneMain{
  display: grid;
  grid-template-rows: auto auto;
}

/* Login page */ 

section.login{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 400px; 
  flex-direction: column;
}

.loginSend{
  font-family: 'Chelsea Market', cursive;
  color: var(--backgroundColor); 
  border: 3px outset var(--backgroundColor);
  border-radius: 7px;
  background-color: var(--otherColor2);
  width: 5rem;
  padding: 1rem;
  margin: 10px 0;
  display: block;
  box-shadow: 4px 4px 5px #ccc;
}

a.loginSend{
  font-family: 'Chelsea Market', cursive;
  color: var(--backgroundColor); 
  border: 3px outset var(--backgroundColor);
  border-radius: 7px;
  background-color: var(--otherColor2);
  width: 5rem;
  padding: 1rem;
  margin: 10px 0;
  display: block;
  box-shadow: 4px 4px 5px #ccc;
}

p.loginError{
  color: red;
}

p.connectionError{
  color: red;
  width: 100%;
  font-family: monospace;
}

h1.connectionErrorH1{
  color: red;
}

a.connectionErrorLink{
  color: var(--otherColor2);
}

main.configContainer{
  display: grid;
  justify-content: center;
  align-items: center;
  min-height: 100%;
  width: 90%;
  background-color: var(--backgroundColor);
  border-radius: 4px;
  padding: 10%;
}

section.configSection{
  max-width: 450px;
}

.videoTag{
  width: 90%; 
  max-width: 640px;
  border: 1px solid var(--headlineColor);
}

div.videoHead{
  text-align: start;
  width: 90%;
  max-width: 640px;
}

.videoHeadText{
  padding-left: 0;
  margin-left: 0;
}

h2.videoSubHead{
  align-self: start;
  margin: 0px;
  padding: 5px 5px 0 10px;
}

a.videoLinks{
  margin: 0 30px;
  font-family: sans-serif;
}

p.videoLinks, h1.videoLinks{
  font-family: sans-serif;
}

p.videoTitle{
  margin: 0 0 20px 0;
}

section.video{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.errorText{
  color: red;
  font-family: monospace;
}

img.outdoorPic{
  width: 100%;
  max-width: 280px;
  margin: 5px auto;
  height: auto;
}


  
  div.outdoorDesktop{
    display: none;
  } 
  
.homeSubTitle{
  color: var(--headlineColor);
  padding: 0;
  margin: 0;
}

.indexImage{
  width: 100%;
  margin: 2rem auto auto auto ;
 /* object-fit: cover;*/
}

.indexArticle{
  text-align: justify;
}

img#leap{
  width: 100%;
}

.terms{
  display: none;
}



/* *** Tablet *** */
@media screen and (min-width: 600px)
  and (max-width: 991px){
    
main.configContainer{
  width: 90%;
}
  
    header {
      width: 90%;
    }    

section.gallery{
  grid-template-columns: 30vw 30vw; 
}
 
/*Some styling for the 'About' page*/
.aboutIntro {
  display: flex;
  flex-direction: row;
}
 
  .homeIntroItem{
   max-width: 600px;
  /*text-align: center;*/
  }     
    
  .testimonialContainer {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
  padding: 35px;
}
    
    article.homeIntroBox {
      max-width: 600px;
    }    
    
.homeIntroItem{
     padding: 0px;
    } 
    
  a.indexGrid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 20px;
  }   
    
    p.indexPara{
      padding-top: 0;
      margin-top: 0;
    }    

}





/* *** Desktop *** */
@media screen and (min-width: 992px){
  
main.configContainer{
  width: 70%;
}  

section.gallery{
  grid-template-columns: 20vw 20vw 20vw; 
}
    
/*Some styling for the 'About' page*/
.aboutIntro {
  display: flex;
  flex-direction: row;
} 
   
    article.homeIntroBox {
      max-width: 600px;
    }
    
  .testimonialContainer {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 40px;
  padding: 35px;
} 
    
.contact {
  grid-template-columns: 1fr 1fr;
}
  
.servicesSection{
  flex-direction: row;
}
  
.teachersSection{
  grid-template-columns: 400px auto auto;       
  grid-template-rows: 1fr;
  gap: 20px;
} 

.teachersImage{ 
  padding: 0 0px 0 0;
  object-fit: cover; 
} 
 
  .teachersSection {
    position: relative;
  }
  .teachersArticle {
    position: relative;
  }

  .teachersArticle img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 46%;
    object-fit: cover;
  }
  .teachersArticle picture + picture img {
    top: 52%;
  }  
  
  .forestPicture{
  display: none;
} 
  

  div.forestPicsDesktop{
    display: flex;
    flex-direction: column;
  }
  
  div.forestContainer{
    display: grid;
    grid-template-columns: 450px auto;
  }
  
  div.everyoneMain{
  display: grid;
  grid-template-columns: 50% 50%;
}
  
  div.everyoneText{
    max-width: 450px;
  }
  
  img.outdoorPic{
    display: none;
  } 
  
/* Styling outdoors.php */  

  div.outdoorContainer{
  display: grid;
  grid-template-columns: 30% 40% 30%;

}  
  
  div.outdoorDesktop{
    display: initial;
  } 
  
  .desktopPic {
    width: 100%;
  } 
  section.indexSection{
    display: flex;
    flex-wrap: wrap; 
    justify-content: center;
  }
  
  article.indexArticle{
    padding: 20px;
    width: 300px;
  }
  
  p.indexPara{
    height: 5.5rem;
        padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
  }
  
  .indexImage{
  margin: auto ;
  }
    
}





/* *** Tablet and desktop *** */
@media screen and (min-width: 600px) {

      p, th, td, input, select, pre, span, ul, li, dl, dt,dd{
      font-size: 1rem;
    }    
    
  footer.container {
    flex-direction: row;
}
  
  .socialFooter{
    display: flex;
    flex-direction: row;
  }
   
header {
  align-items: flex-end;
  }

.indexImage{
  margin: auto ;
  }
  
  section.homeIntro{
  display: grid;
  grid-template-columns: 40% auto;
  gap: 20px;
  margin: 20px;
  justify-content: start;
  max-width: 1030px;  
  /*border: 3px solid red;*/
  }
  
  div.imgbox{
    position: relative;
    max-width: 430px;
    /*border: 3px solid green;*/
  }
  
  img#leap{
  position: absolute;
  left: 0;
  top:0;
  /*border: 3px solid blue;*/
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  object-fit: cover;
  }
  
  .homeIntroBox{
    justify-self: start;
    /*border: 3px solid purple;*/
  }
  
  article.aboutIntro2 {
    max-width: 650px;
  }   

 }
